Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Class EmbeddingsCreate200ResponseDataInner

java.lang.Object
com.sap.ai.sdk.foundationmodels.openai.generated.model.EmbeddingsCreate200ResponseDataInner

public class EmbeddingsCreate200ResponseDataInner extends Object
EmbeddingsCreate200ResponseDataInner

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmbeddingsCreate200ResponseDataInner()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddingsCreate200ResponseDataInner`
  `_object(String _object)`
  Set the _object of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
  `EmbeddingsCreate200ResponseDataInner`
  `embedding(float[] embedding)`
  Set the embedding of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingsCreate200ResponseDataInner`.
  `float[]`
  `getEmbedding()`
  Get embedding
  `Integer`
  `getIndex()`
  Get index
  `String`
  `getObject()`
  Get _object
  `int`
  `hashCode()`
  `EmbeddingsCreate200ResponseDataInner`
  `index(Integer index)`
  Set the index of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingsCreate200ResponseDataInner` instance.
  `void`
  `setEmbedding(float[] embedding)`
  Set the embedding of this `EmbeddingsCreate200ResponseDataInner` instance.
  `void`
  `setIndex(Integer index)`
  Set the index of this `EmbeddingsCreate200ResponseDataInner` instance.
  `void`
  `setObject(String _object)`
  Set the _object of this `EmbeddingsCreate200ResponseDataInner` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingsCreate200ResponseDataInner` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingsCreate200ResponseDataInner

    public EmbeddingsCreate200ResponseDataInner()

- ## Method Details

  - ### index

    @Nonnull public EmbeddingsCreate200ResponseDataInner index(@Nonnull Integer index)
    Set the index of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
    Parameters:
      `index` - The index of this `EmbeddingsCreate200ResponseDataInner`
    Returns:
      The same instance of this `EmbeddingsCreate200ResponseDataInner` class

  - ### getIndex

    @Nonnull public Integer getIndex()
    Get index
    Returns:
      index The index of this `EmbeddingsCreate200ResponseDataInner` instance.

  - ### setIndex

    public void setIndex(@Nonnull Integer index)
    Set the index of this `EmbeddingsCreate200ResponseDataInner` instance.
    Parameters:
      `index` - The index of this `EmbeddingsCreate200ResponseDataInner`

  - ### _object

    @Nonnull public EmbeddingsCreate200ResponseDataInner _object(@Nonnull String _object)
    Set the _object of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
    Parameters:
      `_object` - The _object of this `EmbeddingsCreate200ResponseDataInner`
    Returns:
      The same instance of this `EmbeddingsCreate200ResponseDataInner` class

  - ### getObject

    @Nonnull public String getObject()
    Get _object
    Returns:
      _object The _object of this `EmbeddingsCreate200ResponseDataInner` instance.

  - ### setObject

    public void setObject(@Nonnull String _object)
    Set the _object of this `EmbeddingsCreate200ResponseDataInner` instance.
    Parameters:
      `_object` - The _object of this `EmbeddingsCreate200ResponseDataInner`

  - ### embedding

    @Nonnull public EmbeddingsCreate200ResponseDataInner embedding(@Nonnull float[] embedding)
    Set the embedding of this `EmbeddingsCreate200ResponseDataInner` instance and return the same instance.
    Parameters:
      `embedding` - The embedding of this `EmbeddingsCreate200ResponseDataInner`
    Returns:
      The same instance of this `EmbeddingsCreate200ResponseDataInner` class

  - ### getEmbedding

    @Nonnull public float[] getEmbedding()
    Get embedding
    Returns:
      embedding The embedding of this `EmbeddingsCreate200ResponseDataInner` instance.

  - ### setEmbedding

    public void setEmbedding(@Nonnull float[] embedding)
    Set the embedding of this `EmbeddingsCreate200ResponseDataInner` instance.
    Parameters:
      `embedding` - The embedding of this `EmbeddingsCreate200ResponseDataInner`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingsCreate200ResponseDataInner`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingsCreate200ResponseDataInner` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingsCreate200ResponseDataInner` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingsCreate200ResponseDataInner` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`